/*
 * Getrap
 * Copyright 2008(C) Grzegorz 'milyges' Glinski
 *
 *
 *  This program is free software; you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License as published by the Free
 *  Software Foundation; either version 2 of the License, or (at your option)
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 *  or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
 *  for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
*/
#include <QApplication>
#include <fMain.h>
#include <config.h>
#include <fSettings.h>
#include <QtDebug>
#include <QTextCodec>

int main(int argc, char * argv[])
{
 FSettings * f;
 QApplication app(argc, argv);
 /* Inicjujemy zasoby */
 Q_INIT_RESOURCE(resources);
 /* Ustawiamy ikonke aplikacji */
 app.setWindowIcon(QIcon(":/gfx/getrap.png"));
 /* Ustawiamy kodowanie tekstu */
 QTextCodec::setCodecForTr(QTextCodec::codecForName ("UTF-8"));
 /* Jezeli nie uda sie wczytac konfiga, pokaz okno ustawien */
 if (!Config::load())
 {
  f = new FSettings();
  f->exec();
  delete f;
 }
 /* Tworzymy glowne okno */
 FMain form;
 form.show();
 /* Wchodzimy w petle komunikatow */
 return app.exec();
}
