/*
 * Getrap
 * Copyright 2008(C) Grzegorz 'milyges' Glinski
 *
 *
 *  This program is free software; you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License as published by the Free
 *  Software Foundation; either version 2 of the License, or (at your option)
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 *  or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
 *  for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
*/
#include <fAbout.h>
#include <QPixmap>
#include <QFile>
#include <QTextStream>

FAbout::FAbout(QWidget * parent, Qt::WFlags f) : QDialog(parent, f)
{
 ui.setupUi(this);
 /* Ikonka aplikacji */
 ui.lLogo->setPixmap(QPixmap(":/gfx/getrap.png"));
 ui.lLogo->resize(128, 128);
 /* Ładny kolor tła */
 QPalette p = ui.textAbout->palette();
 p.setColor(QPalette::Base, ui.tabWidget->palette().color(QPalette::Window));
 ui.textAbout->setPalette(p);
 /* Informacja o programie... */
 ui.textAbout->setHtml("<b>Getrap</b> 2008 &copy; Grzegorz Glinski &lt;milyges@gmail.com&gt;<br /><br />"
                       "<b>" + tr("Wersja: %1").arg("0.1") + "</b><br /><br />"
                       + tr("Używa Qt %1 (skompilowany z Qt %2)").arg(qVersion()).arg(QT_VERSION_STR) + "<br/><br/>"
                       + tr("Strona internetowa programu:") + " <a href=\"http://code.google.com/p/getrap\">http://code.google.com/p/getrap</a>");
 /* Zakladka "wklad" */
 ui.textThanks->setHtml(tr("Kompilacja oraz przygotowanie paczek:<br />"
                       "Microsoft Windows - <b>Kodzio</b><br /><br />"
                       "W programie wykorzystano motyw ikon <a href=\"http://kde-look.org/content/show.php?content=92163\">KDE4 Crystal Diamond Icons</a>"));
 ui.textThanks->setPalette(p);
 /* Ikonka ludzikow */
 ui.lLogo2->setPixmap(QPixmap(":/gfx/users.png"));
 ui.lLogo2->resize(128, 128);
}

FAbout::~FAbout()
{
}
